#include "common.ch"
#include "xbstructures.ch"

STRUCTURE ZipLocalFileRecord
   CHAR  signature SIZE 4
   UINT  verToExtract
   UINT  gpFlag
   UINT  compMethod
   CHAR  fileTime SIZE 4
   CHAR  crc SIZE 4
   ULONG compSize
   ULONG unCompSize
   UINT  fNameLen
   UINT  extraFldLen
   CHAR  fileName
   CHAR  extraFld
ENDSTRUCT

STRUCTURE ZipCentralDirectoryRecord
   CHAR  signature SIZE 4
   UINT  verMadeBy
   UINT  VerToExtract
   UINT  gpFlag
   UINT  compMethod
   CHAR  fileTime SIZE 4
   CHAR  crc SIZE 4
   ULONG compSize
   ULONG unCompSize
   UINT  fNameLen
   UINT  extraFldLen
   UINT  commentLen
   UINT  diskNumStart
   UINT  internalFAttrib
   CHAR  externalFAttrib SIZE 4
   ULONG offset
   CHAR  fileName
   CHAR  extraFld
   CHAR  comment
ENDSTRUCT


STRUCTURE ZipEndOfCentralDirectoryRecord
   CHAR  signature SIZE 4
   UINT  diskNumber
   UINT  diskNumWStartCD
   UINT  entriesThisDisk
   UINT  entries
   ULONG sizeOfCD
   ULONG startOfCD
   UINT  commentLen
   CHAR  comment
ENDSTRUCT


