/**************************************************
*
*        VC++ v6 (should work with v2 and above)
*
*        Compiler: cl lvSupport.c -c -Zl
*
	Last change: PI 23/02/2004 09:47:35
**************************************************/
#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <xpppar.h>
#include <xppcon.h>
#include <error.ch>

#define MAXLEN 4

typedef union {
      ULONG lng;
      char string[MAXLEN+1]; 
} crc_union;

XPPRET XPPENTRY XBZLCRC32(XppParamList paramList)
{
   crc_union crc = {0};
   char *Word;
   ContainerHandle chWord;
   ULONG wordSize;

   if ((chWord = _conParam(paramList,1,NULL)) != NULLCONTAINER) {
      if (_conRLockC(chWord,&Word,&wordSize) == XPP_ERR_NONE) {
         crc.lng = crc32( crc.lng, Word, wordSize );
         _conUnlockC(chWord);
      }
      _conRelease(chWord);
   }
   _retclen(paramList,crc.string,MAXLEN);
}


